"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const enum_utils_1 = require("@react-jsonschema-form-utils/enum-utils");
const parse_values_1 = require("@react-jsonschema-form-utils/parse-values");
const onChangeHandler = (onChange, type, isMultiple) => (e) => {
    var _a, _b;
    const value = isMultiple
        ? (_b = (_a = e.target) === null || _a === void 0 ? void 0 : _a.value) === null || _b === void 0 ? void 0 : _b.filter((item) => item)
        : parse_values_1.coerceValue(type, e.target.value);
    if (value !== undefined)
        onChange(value);
};
exports.default = ({ onChange, schema, type, isMultiple }) => ({
    onChange: onChange && onChangeHandler(onChange, type, isMultiple),
    choices: enum_utils_1.valuesToOptions(enum_utils_1.isEnum(schema)),
    nullOption: 'Please select...',
    label: enum_utils_1.getEnumTitle(schema),
});
//# sourceMappingURL=select.props.js.map